#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name: lokalize
Summary: Computer-Aided Translation Tool
Version: 4.12.5
Group: Graphical desktop/KDE
Release: %mkrel %{rel}
Epoch: 1
License: GPLv2 and LGPLv2 and GFDL
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%{name}-%{version}.tar.xz

BuildRequires: kdelibs4-devel >= 2:%version
BuildRequires: pkgconfig(hunspell)

Conflicts: kdesdk4-core < 1:4.10.80

Requires:  kdesdk-strigi-analyzers
Requires:  qt4-database-plugin-sqlite

Suggests:  python-translate
#(lm) kross-interpreters-python is needed by some lokalize scripts (mga #10583, bko #181145)
Suggests:   kross-interpreters-python


%description
Lokalize is a computer-aided translation system that focuses on
productivity and performance. The translator does only creative work
(of delivering message in his/her mother language in laconic and
easy to understand form). Lokalize implies a paragraph-by-paragraph
translation approach (when translating documentation) and
message-by-message approach (when translating GUI strings).


%files
%_kde_bindir/lokalize
%_kde_datadir/applications/kde4/lokalize.desktop
%_kde_appsdir/lokalize
%_kde_datadir/config.kcfg/lokalize.kcfg
%_kde_iconsdir/*/*/apps/lokalize.*
%_kde_docdir/*/*/lokalize

#------------------------------------------------------------------------------

%prep
%setup -q 

%build
export LD=/usr/bin/ld.gold
%cmake_kde4 -DKDE4_ENABLE_FINAL=OFF
%make

%install
rm -fr %buildroot
%makeinstall_std -C build

%changelog
* Sun Jun 29 2014 lmenut <lmenut> 1:4.12.5-1.mga4
+ Revision: 641373
- Update to KDE SC 4.12.5

  + neoclust <neoclust>
    - New version 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 1:4.11.4-1.mga4
+ Revision: 555063
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 1:4.11.3-1.mga4
+ Revision: 551335
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 1:4.11.2-2.mga4
+ Revision: 540365
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 1:4.11.2-1.mga4
+ Revision: 490810
- Update tarball to KDE SC 4.11.2

* Sat Sep 28 2013 lmenut <lmenut> 1:4.11.1-2.mga4
+ Revision: 488654
- rebuild with fixed rpm (missing suggests tags)

* Mon Sep 09 2013 mikala <mikala> 1:4.11.1-1.mga4
+ Revision: 476897
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 1:4.11.0-1.mga4
+ Revision: 465238
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 1:4.10.97-1.mga4
+ Revision: 458981
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 1:4.10.95-1.mga4
+ Revision: 455367
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1
- Fix requires kdesdk-strigi-analyzers

* Fri Jun 28 2013 mikala <mikala> 1:4.10.90-1.mga4
+ Revision: 448011
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- imported package lokalize

  + lmenut <lmenut>
    - Add suggests kross-interpreters-python
      (mga #10583, bko #181145 - thanks to Dimitrios Glentadakis)

